<?php
#session_start();
$MODE = isset($_REQUEST["MODE"]) ? trim($_REQUEST["MODE"]) : "";
$whitelist = 0;
$blacklist = 0;

# Set the URL to call remotely to check the IP
$checkLoginURL = "http://www.checklog.in/";
$site = urlencode($_SERVER["HTTP_HOST"]);

#$MODE = "RESET";
if($MODE == "RESET")
{
	unset($_SESSION["checklogin_blacklist"]);
	unset($_SESSION["checklogin_whitelist"]);
	#print("Session variables have been reset");
}

function checkBlacklist()
{
	global $checkLoginURL, $site;
	
	# First check the session variables and see if the IP address is listed
	if(isset($_SESSION["checklogin_blacklist"]) && $_SESSION["checklogin_blacklist"] == 1)
	{
		showBlacklistFile();
	}
	elseif(isset($_SESSION["checklogin_blacklist"]))
	{
		# IP address has already been checked for this session. No need to try again
		#print("IP has already been checked");
	}
	else
	{
		# Call the remote script to check blacklist and whitelist
		$URL = $checkLoginURL . "check.php?MODE=CHECKBLACKLIST&REMOTE_ADDR=" . $_SERVER["REMOTE_ADDR"] . "&HOST_NAME=" . $site;
		$response = getRemoteFile($URL);
		#print($response);
		if($response <> "")
		{
			parse_str($response);
			if(isset($blacklist) && $blacklist == 1)
			{
				showBlacklistFile();
			}
		}
	}	
}

function checkValidIP()
{
	global $checkLoginURL, $site;
	
	# First check the session variables and see if the IP address is listed
	if(isset($_SESSION["checklogin_blacklist"]) && $_SESSION["checklogin_blacklist"] == 1)
	{
		showBlacklistFile();
	}
	elseif(isset($_SESSION["checklogin_whitelist"]) && $_SESSION["checklogin_whitelist"] == 1)
	{
		# IP address has already been checked for this session. No need to try again
		#print("IP has already been checked and is valid");
	}
	else
	{
		# Call the remote script to check blacklist and whitelist
		$URL = $checkLoginURL . "check.php?MODE=CHECKVALIDIP&REMOTE_ADDR=" . $_SERVER["REMOTE_ADDR"] . "&HOST_NAME=" . $site;
		$response = getRemoteFile($URL);
		#print($response);
		if($response <> "")
		{
			parse_str($response);
			if(isset($blacklist) && $blacklist == 1)
			{
				showBlacklistFile();
			}
			if(isset($whitelist) && $whitelist == 1)
			{
				$_SESSION["checklogin_whitelist"] = 1;
			}
			else
			{
				showPendingFile();
				exit();
			}
		}
	}
}

function getRemoteFile($url){
	$ch = curl_init();
	curl_setopt($ch, CURLOPT_HEADER, 0);
	curl_setopt($ch, CURLOPT_URL, $url);
	curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
	curl_setopt($ch, CURLOPT_CONNECTTIMEOUT, 10);
	
	$contents = curl_exec($ch);
	curl_close($ch);
	if ($contents != false){
		return $contents;
	}
	else
	{
		return "";
	}
}

function showBlacklistFile()
{
	global $checkLoginURL;
	
	# IP address has been detected already on the blacklist
	$file = @file_get_contents($checkLoginURL . "blacklist.html");
	print($file);
	$_SESSION["checklogin_blacklist"] = 1;
	exit();
}

function showPendingFile()
{
	global $checkLoginURL;
	
	# IP address has been detected already on the blacklist
	$file = @file_get_contents($checkLoginURL . "pending.html");
	print($file);
	exit();
}

?>